> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Application Test Case Output

> ### Description
Gets the details of a application test case output

### Details
This API can be used to get information about a single application test case output by ID. To use this API, pass in the `id` that was returned from your Create Application Test Case Output API call as a path parameter.

Review the response schema to see the fields that will be returned.



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/sgp/openapi.yml get /v4/application-test-case-outputs/{application_test_case_output_id}
openapi: 3.1.0
info:
  title: EGP API V4
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
tags:
  - name: Models
    description: Model API.
paths:
  /v4/application-test-case-outputs/{application_test_case_output_id}:
    get:
      tags:
        - Applications
      summary: Get Application Test Case Output
      description: >-
        ### Description

        Gets the details of a application test case output


        ### Details

        This API can be used to get information about a single application test
        case output by ID. To use this API, pass in the `id` that was returned
        from your Create Application Test Case Output API call as a path
        parameter.


        Review the response schema to see the fields that will be returned.
      operationId: GET-V4-/application-test-case-outputs/{application_test_case_output_id}
      parameters:
        - name: application_test_case_output_id
          in: path
          required: true
          schema:
            title: Application Test Case Output Id
            type: string
        - name: view
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  $ref: '#/components/schemas/ApplicationTestCaseOutputViewsOptions'
              - type: 'null'
            title: View
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ApplicationTestCaseOutputResponseWithViews
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: Python
          source: >-
            import os

            from scale_gp import SGPClient


            client = SGPClient(
                api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
            )

            application_test_case_output =
            client.application_test_case_outputs.retrieve(
                application_test_case_output_id="application_test_case_output_id",
            )

            print(application_test_case_output)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/sgp-go\"\n\t\"github.com/stainless-sdks/sgp-go/option\"\n)\n\nfunc main() {\n\tclient := sgp.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tapplicationTestCaseOutput, err := client.ApplicationTestCaseOutputs.Get(\n\t\tcontext.TODO(),\n\t\t\"application_test_case_output_id\",\n\t\tsgp.ApplicationTestCaseOutputGetParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", applicationTestCaseOutput)\n}\n"
components:
  schemas:
    ApplicationTestCaseOutputViewsOptions:
      type: string
      enum:
        - MetricScores
        - TestCaseVersion
        - Trace
      title: ApplicationTestCaseOutputViewsOptions
    ApplicationTestCaseOutputResponseWithViews:
      oneOf:
        - $ref: >-
            #/components/schemas/ApplicationTestCaseGenerationOutputResponseWithViews
        - $ref: >-
            #/components/schemas/ApplicationTestCaseFlexibleOutputResponseWithViews
      title: ApplicationTestCaseOutputResponseWithViews
      discriminator:
        propertyName: schema_type
        mapping:
          FLEXIBLE:
            $ref: >-
              #/components/schemas/ApplicationTestCaseFlexibleOutputResponseWithViews
          GENERATION:
            $ref: >-
              #/components/schemas/ApplicationTestCaseGenerationOutputResponseWithViews
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ApplicationTestCaseGenerationOutputResponseWithViews:
      properties:
        interaction:
          $ref: '#/components/schemas/ApplicationInteractionWithSpansResponse'
        test_case_version:
          $ref: '#/components/schemas/TestCaseVersionResponse'
        metric_scores:
          title: Metric Scores
          items:
            $ref: '#/components/schemas/ApplicationMetricScoreWithMetadata'
          type: array
        application_variant_id:
          type: string
          title: Application Variant Id
        evaluation_dataset_id:
          type: string
          title: Evaluation Dataset Id
        test_case_id:
          type: string
          title: Test Case Id
        output:
          $ref: '#/components/schemas/ResultSchemaGeneration'
        schema_type:
          type: string
          const: GENERATION
          title: Schema Type
          default: GENERATION
        application_interaction_id:
          title: Application Interaction Id
          type: string
        application_test_case_output_group_id:
          title: Application Test Case Output Group Id
          type: string
        id:
          type: string
          title: Id
          description: The unique identifier of the entity.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time when the entity was created in ISO format.
        account_id:
          type: string
          title: Account Id
          description: The ID of the account that owns the given entity.
          can_patch: false
        metrics:
          title: Metrics
          additionalProperties:
            anyOf:
              - type: integer
              - type: number
          propertyNames:
            maxLength: 128
            minLength: 1
          type: object
      type: object
      required:
        - application_variant_id
        - evaluation_dataset_id
        - test_case_id
        - output
        - id
        - created_at
        - account_id
      title: ApplicationTestCaseGenerationOutputResponseWithViews
    ApplicationTestCaseFlexibleOutputResponseWithViews:
      properties:
        interaction:
          $ref: '#/components/schemas/ApplicationInteractionWithSpansResponse'
        test_case_version:
          $ref: '#/components/schemas/TestCaseVersionResponse'
        metric_scores:
          title: Metric Scores
          items:
            $ref: '#/components/schemas/ApplicationMetricScoreWithMetadata'
          type: array
        application_variant_id:
          type: string
          title: Application Variant Id
        evaluation_dataset_id:
          type: string
          title: Evaluation Dataset Id
        test_case_id:
          type: string
          title: Test Case Id
        output:
          $ref: '#/components/schemas/ResultSchemaFlexible'
        schema_type:
          type: string
          const: FLEXIBLE
          title: Schema Type
          default: FLEXIBLE
        application_interaction_id:
          title: Application Interaction Id
          type: string
        application_test_case_output_group_id:
          title: Application Test Case Output Group Id
          type: string
        id:
          type: string
          title: Id
          description: The unique identifier of the entity.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time when the entity was created in ISO format.
        account_id:
          type: string
          title: Account Id
          description: The ID of the account that owns the given entity.
          can_patch: false
        metrics:
          title: Metrics
          additionalProperties:
            anyOf:
              - type: integer
              - type: number
          propertyNames:
            maxLength: 128
            minLength: 1
          type: object
      type: object
      required:
        - application_variant_id
        - evaluation_dataset_id
        - test_case_id
        - output
        - id
        - created_at
        - account_id
      title: ApplicationTestCaseFlexibleOutputResponseWithViews
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ApplicationInteractionWithSpansResponse:
      properties:
        id:
          type: string
          title: Id
        input:
          additionalProperties: true
          type: object
          title: Input
        output:
          additionalProperties: true
          type: object
          title: Output
        aggregated:
          type: boolean
          title: Aggregated
          description: >-
            Boolean of whether this interaction has been uploaded to s3 bucket
            yet, default is false
          can_patch: false
        application_spec_id:
          type: string
          title: Application Spec Id
        application_variant_id:
          type: string
          title: Application Variant Id
        start_timestamp:
          type: string
          format: date-time
          title: Start Timestamp
        duration_ms:
          type: integer
          title: Duration Ms
          description: How much time the step took in milliseconds(ms)
        operation_status:
          $ref: '#/components/schemas/ApplicationOperationStatus'
          description: The outcome of the operation
        operation_metadata:
          title: Operation Metadata
          description: >-
            The JSON representation of the metadata insights emitted through the
            execution. This can differ based on different types of operations
          additionalProperties: true
          type: object
        models:
          title: Models
          description: The models used for this interaction
          items:
            type: string
          type: array
        chat_thread_id:
          title: Chat Thread Id
          can_patch: false
          type: string
        interaction_source:
          $ref: '#/components/schemas/ApplicationInteractionSource'
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time when the entity was created in ISO format.
        trace_spans:
          title: Trace Spans
          items:
            $ref: '#/components/schemas/EvaluationTraceSpanResponse'
          type: array
      type: object
      required:
        - id
        - input
        - output
        - aggregated
        - application_spec_id
        - application_variant_id
        - start_timestamp
        - duration_ms
        - operation_status
        - created_at
      title: ApplicationInteractionWithSpansResponse
    TestCaseVersionResponse:
      oneOf:
        - $ref: '#/components/schemas/GenerationTestCaseVersionResponse'
        - $ref: '#/components/schemas/FlexibleTestCaseVersionResponse'
      title: TestCaseVersionResponse
      discriminator:
        propertyName: schema_type
        mapping:
          FLEXIBLE:
            $ref: '#/components/schemas/FlexibleTestCaseVersionResponse'
          GENERATION:
            $ref: '#/components/schemas/GenerationTestCaseVersionResponse'
    ApplicationMetricScoreWithMetadata:
      properties:
        score:
          title: Score
          type: number
        metric_type:
          anyOf:
            - $ref: '#/components/schemas/ApplicationScoreMetricTypeEnum'
            - $ref: '#/components/schemas/SafetySubMetricTypeEnum'
          title: Metric Type
        category:
          $ref: '#/components/schemas/ApplicationScoreCategoryEnum'
        llm_metadata:
          $ref: '#/components/schemas/GenericApplicationScorerMetadata'
      type: object
      required:
        - metric_type
        - category
      title: ApplicationMetricScoreWithMetadata
    ResultSchemaGeneration:
      properties:
        generation_output:
          type: string
          title: Generation Output
        generation_extra_info:
          $ref: '#/components/schemas/ExtraInfoSchema'
      type: object
      required:
        - generation_output
      title: ResultSchemaGeneration
    ResultSchemaFlexible:
      properties:
        generation_output:
          anyOf:
            - type: string
            - additionalProperties:
                anyOf:
                  - type: string
                  - type: integer
                  - type: number
                  - items:
                      $ref: '#/components/schemas/FlexibleIOChunk'
                    type: array
                  - items:
                      $ref: '#/components/schemas/ChatMessageV2'
                    type: array
                  - items: {}
                    type: array
                  - additionalProperties: true
                    type: object
                  - $ref: '#/components/schemas/FileIODataType'
                  - type: 'null'
              type: object
          title: Generation Output
        generation_extra_info:
          $ref: '#/components/schemas/ExtraInfoSchema'
      type: object
      required:
        - generation_output
      title: ResultSchemaFlexible
    ApplicationOperationStatus:
      type: string
      enum:
        - SUCCESS
        - ERROR
        - CANCELED
      title: ApplicationOperationStatus
    ApplicationInteractionSource:
      type: string
      enum:
        - EXTERNAL_AI
        - EVALUATION
        - SGP_CHAT
        - AGENTS_SERVICE
      title: ApplicationInteractionSource
    EvaluationTraceSpanResponse:
      properties:
        id:
          type: string
          title: Id
          description: Identifies the application step
        application_interaction_id:
          title: Application Interaction Id
          description: The interaction ID this span belongs to
          type: string
        application_variant_id:
          title: Application Variant Id
          description: The id of the application variant this span belongs to
          type: string
        node_id:
          type: string
          title: Node Id
          description: >-
            The id of the node in the application_variant config that emitted
            this insight
        operation_type:
          $ref: '#/components/schemas/ApplicationOperationType'
          description: Type of the operation, e.g. RERANKING
        operation_status:
          $ref: '#/components/schemas/ApplicationOperationStatus'
          description: The outcome of the operation
        operation_input:
          $ref: '#/components/schemas/EvaluationSpanIOData'
          description: The JSON representation of the input that this step received.
        operation_output:
          $ref: '#/components/schemas/EvaluationSpanIOData'
          description: The JSON representation of the output that this step emitted.
        operation_expected:
          $ref: '#/components/schemas/EvaluationSpanIOData'
          description: The JSON representation of the expected output for this step
        operation_metadata:
          title: Operation Metadata
          description: >-
            The JSON representation of the metadata insights emitted through the
            execution. This can differ based on different types of operations
          additionalProperties: true
          type: object
        start_timestamp:
          type: string
          format: date-time
          title: Start Timestamp
          description: The start time of the step
        end_timestamp:
          title: End Timestamp
          description: >-
            The end time of the step, nullable, since it can be set to done at a
            later point in time.
          type: string
          format: date-time
        duration_ms:
          type: integer
          title: Duration Ms
          description: How much time the step took in milliseconds(ms)
        trace_id:
          title: Trace Id
          description: The root-level ID where this span belongs to
          type: string
        parent_id:
          title: Parent Id
          description: >-
            Who is the parent span of this current span, null if span is root
            parent.
          type: string
        group_id:
          title: Group Id
          description: The ID of the group this span belongs to
          type: string
        account_id:
          title: Account Id
          description: The ID of the account that owns the given entity.
          type: string
        created_by_user_id:
          type: string
          title: Created By User Id
          description: The user who originally created the entity.
        created_by_identity_type:
          $ref: '#/components/schemas/IdentifierTypeEnum'
          description: The type of identity that created the entity.
      type: object
      required:
        - id
        - node_id
        - operation_type
        - operation_status
        - operation_input
        - operation_output
        - start_timestamp
        - duration_ms
      title: EvaluationTraceSpanResponse
    GenerationTestCaseVersionResponse:
      properties:
        evaluation_dataset_id:
          type: string
          title: Evaluation Dataset Id
          description: The ID of the associated evaluation dataset.
        schema_type:
          type: string
          const: GENERATION
          title: Schema Type
          default: GENERATION
        test_case_data:
          anyOf:
            - $ref: '#/components/schemas/ArtifactSchemaGeneration'
            - $ref: '#/components/schemas/SchemaGenerationBase'
          title: Test Case Data
        chat_history:
          title: Chat History
          description: >-
            Used for tracking previous chat interactions for multi-chat test
            cases
          additionalProperties: true
          type: object
        autogenerated:
          type: boolean
          title: Autogenerated
          description: Boolean to track whether or not the test case is autogenerated
          can_patch: false
        test_case_metadata:
          title: Test Case Metadata
          description: Metadata for the test case
          additionalProperties: true
          type: object
        invalidated_at:
          title: Invalidated At
          description: >-
            The date and time when the entity was overwritten or deleted in ISO
            format.
          type: string
          format: date-time
        id:
          type: string
          title: Id
          description: The unique identifier of the entity.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time when the entity was created in ISO format.
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: The date and time when the entity was last updated in ISO format.
        account_id:
          title: Account Id
          description: The ID of the account that owns the given entity.
          can_patch: false
          optional_in_request: true
          type: string
        created_by_user_id:
          type: string
          title: Created By User Id
          description: The user who originally created the entity.
        created_by_identity_type:
          $ref: '#/components/schemas/IdentifierTypeEnum'
          description: The type of identity that created the entity.
        archived_at:
          title: Archived At
          description: The date and time when the entity was archived in ISO format.
          type: string
          format: date-time
      type: object
      required:
        - evaluation_dataset_id
        - test_case_data
        - autogenerated
        - id
        - created_at
        - updated_at
        - account_id
        - created_by_user_id
        - created_by_identity_type
      title: GenerationTestCaseVersionResponse
    FlexibleTestCaseVersionResponse:
      properties:
        evaluation_dataset_id:
          type: string
          title: Evaluation Dataset Id
          description: The ID of the associated evaluation dataset.
        schema_type:
          type: string
          const: FLEXIBLE
          title: Schema Type
          default: FLEXIBLE
        test_case_data:
          $ref: '#/components/schemas/SchemaFlexible'
        chat_history:
          title: Chat History
          description: >-
            Used for tracking previous chat interactions for multi-chat test
            cases
          additionalProperties: true
          type: object
        autogenerated:
          type: boolean
          title: Autogenerated
          description: Boolean to track whether or not the test case is autogenerated
          can_patch: false
        test_case_metadata:
          title: Test Case Metadata
          description: Metadata for the test case
          additionalProperties: true
          type: object
        invalidated_at:
          title: Invalidated At
          description: >-
            The date and time when the entity was overwritten or deleted in ISO
            format.
          type: string
          format: date-time
        id:
          type: string
          title: Id
          description: The unique identifier of the entity.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time when the entity was created in ISO format.
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: The date and time when the entity was last updated in ISO format.
        account_id:
          title: Account Id
          description: The ID of the account that owns the given entity.
          can_patch: false
          optional_in_request: true
          type: string
        created_by_user_id:
          type: string
          title: Created By User Id
          description: The user who originally created the entity.
        created_by_identity_type:
          $ref: '#/components/schemas/IdentifierTypeEnum'
          description: The type of identity that created the entity.
        archived_at:
          title: Archived At
          description: The date and time when the entity was archived in ISO format.
          type: string
          format: date-time
      type: object
      required:
        - evaluation_dataset_id
        - test_case_data
        - autogenerated
        - id
        - created_at
        - updated_at
        - account_id
        - created_by_user_id
        - created_by_identity_type
      title: FlexibleTestCaseVersionResponse
    ApplicationScoreMetricTypeEnum:
      type: string
      enum:
        - answer-correctness
        - answer-relevance
        - faithfulness
        - context-recall
        - coherence
        - grammar
        - moderation
        - safety
      title: ApplicationScoreMetricTypeEnum
    SafetySubMetricTypeEnum:
      type: string
      enum:
        - safety-bias-and-stereotyping
        - safety-opinions-disputed-topics
        - safety-unethical-harmful-activities
        - safety-copyright-violations
        - safety-harmful-content
        - safety-privacy-violations
      title: SafetySubMetricTypeEnum
    ApplicationScoreCategoryEnum:
      type: string
      enum:
        - accuracy
        - quality
        - retrieval
        - trust-and-safety
      title: ApplicationScoreCategoryEnum
    GenericApplicationScorerMetadata:
      properties:
        reasoning:
          title: Reasoning
          type: string
        logging:
          title: Logging
          additionalProperties: true
          type: object
        time_elapsed_s:
          title: Time Elapsed S
          type: integer
        usage:
          title: Usage
          items:
            $ref: '#/components/schemas/GenericModelUsage'
          type: array
      type: object
      title: GenericApplicationScorerMetadata
    ExtraInfoSchema:
      oneOf:
        - $ref: '#/components/schemas/ChunkExtraInfoSchema'
        - $ref: '#/components/schemas/StringExtraInfoSchema'
      title: ExtraInfoSchema
      discriminator:
        propertyName: schema_type
        mapping:
          CHUNKS:
            $ref: '#/components/schemas/ChunkExtraInfoSchema'
          STRING:
            $ref: '#/components/schemas/StringExtraInfoSchema'
    FlexibleIOChunk:
      properties:
        text:
          type: string
          title: Text
        metadata:
          title: Metadata
          additionalProperties: true
          type: object
      type: object
      required:
        - text
      title: FlexibleIOChunk
    ChatMessageV2:
      oneOf:
        - $ref: '#/components/schemas/UserMessage'
        - $ref: '#/components/schemas/AssistantMessage'
        - $ref: '#/components/schemas/SystemMessage'
      title: ChatMessageV2
      discriminator:
        propertyName: role
        mapping:
          assistant:
            $ref: '#/components/schemas/AssistantMessage'
          system:
            $ref: '#/components/schemas/SystemMessage'
          user:
            $ref: '#/components/schemas/UserMessage'
    FileIODataType:
      anyOf:
        - $ref: '#/components/schemas/ExternalFile'
        - $ref: '#/components/schemas/InternalFile'
      title: FileIODataType
    ApplicationOperationType:
      type: string
      enum:
        - TEXT_INPUT
        - TEXT_OUTPUT
        - COMPLETION_INPUT
        - COMPLETION
        - KB_RETRIEVAL
        - KB_INPUT
        - RERANKING
        - EXTERNAL_ENDPOINT
        - PROMPT_ENGINEERING
        - DOCUMENT_INPUT
        - MAP_REDUCE
        - DOCUMENT_SEARCH
        - DOCUMENT_PROMPT
        - CUSTOM
        - CODE_EXECUTION
        - DATA_MANIPULATION
        - EVALUATION
        - FILE_RETRIEVAL
        - KB_ADD_CHUNK
        - KB_MANAGEMENT
        - GUARDRAIL
        - OUTPUT_GUARDRAIL
        - TRACER
        - AGENT_TRACER
        - AGENT_WORKFLOW
        - STANDALONE
      title: ApplicationOperationType
    EvaluationSpanIOData:
      additionalProperties:
        anyOf:
          - type: string
          - type: integer
          - type: number
          - items:
              $ref: '#/components/schemas/FlexibleIOChunk'
            type: array
          - items:
              $ref: '#/components/schemas/ChatMessageV2'
            type: array
          - items: {}
            type: array
          - additionalProperties: true
            type: object
          - $ref: '#/components/schemas/FileIODataType'
          - type: 'null'
      type: object
      title: EvaluationSpanIOData
    IdentifierTypeEnum:
      type: string
      enum:
        - user
        - service_account
      title: IdentifierTypeEnum
    ArtifactSchemaGeneration:
      properties:
        input:
          type: string
          title: Input
        expected_output:
          title: Expected Output
          type: string
        expected_extra_info:
          $ref: '#/components/schemas/ExtraInfoSchema'
        artifact_ids_filter:
          items:
            type: string
          type: array
          title: Artifact Ids Filter
      type: object
      required:
        - input
        - artifact_ids_filter
      title: ArtifactSchemaGeneration
    SchemaGenerationBase:
      properties:
        input:
          type: string
          title: Input
        expected_output:
          title: Expected Output
          type: string
        expected_extra_info:
          $ref: '#/components/schemas/ExtraInfoSchema'
      type: object
      required:
        - input
      title: SchemaGenerationBase
    SchemaFlexible:
      properties:
        input:
          anyOf:
            - type: string
            - additionalProperties:
                anyOf:
                  - type: string
                  - type: integer
                  - type: number
                  - items:
                      $ref: '#/components/schemas/FlexibleIOChunk'
                    type: array
                  - items:
                      $ref: '#/components/schemas/ChatMessageV2'
                    type: array
                  - items: {}
                    type: array
                  - additionalProperties: true
                    type: object
                  - $ref: '#/components/schemas/FileIODataType'
                  - type: 'null'
              type: object
          title: Input
        expected_output:
          anyOf:
            - type: string
            - additionalProperties:
                anyOf:
                  - type: string
                  - type: integer
                  - type: number
                  - items:
                      $ref: '#/components/schemas/FlexibleIOChunk'
                    type: array
                  - items:
                      $ref: '#/components/schemas/ChatMessageV2'
                    type: array
                  - items: {}
                    type: array
                  - additionalProperties: true
                    type: object
                  - $ref: '#/components/schemas/FileIODataType'
                  - type: 'null'
              type: object
          title: Expected Output
        expected_extra_info:
          $ref: '#/components/schemas/ExtraInfoSchema'
      type: object
      required:
        - input
      title: SchemaFlexible
    GenericModelUsage:
      properties:
        prompt_tokens:
          type: integer
          title: Prompt Tokens
        completion_tokens:
          type: integer
          title: Completion Tokens
        cost:
          title: Cost
          type: number
        model:
          anyOf:
            - $ref: '#/components/schemas/ApplicationScorerBaseModelName'
            - $ref: '#/components/schemas/AutoEvalBaseModelName'
          title: Model
      type: object
      title: GenericModelUsage
    ChunkExtraInfoSchema:
      properties:
        schema_type:
          type: string
          const: CHUNKS
          title: Schema Type
          default: CHUNKS
        chunks:
          items:
            $ref: '#/components/schemas/ChunkData'
          type: array
          title: Chunks
      type: object
      required:
        - chunks
      title: ChunkExtraInfoSchema
    StringExtraInfoSchema:
      properties:
        schema_type:
          type: string
          const: STRING
          title: Schema Type
          default: STRING
        info:
          type: string
          title: Info
      type: object
      required:
        - info
      title: StringExtraInfoSchema
    UserMessage:
      properties:
        role:
          type: string
          const: user
          title: Role
          description: >-
            The role of the message. Must be set to 'user'.


            A user message is a message from the user to the AI. This should be
            the message used to send end user input to the AI.
          default: user
        content:
          anyOf:
            - type: string
            - items:
                $ref: '#/components/schemas/UserMessageContentParts'
              type: array
          title: Content
          description: >-
            Input from the user. Can either be text or a list of content parts.
            Not all models support image content parts, or multiple parts.
      type: object
      required:
        - content
      title: User Message
    AssistantMessage:
      properties:
        role:
          type: string
          const: assistant
          title: Role
          description: >-
            The role of the message. Must be set to 'assistant'.


            An assistant message is a message from the AI to the client. It is
            different from an agent message in that it cannot contain a tool
            request. It is simply a direct response from the AI to the client.
          default: assistant
        content:
          type: string
          title: Content
          description: Text response from the assistant
      type: object
      required:
        - content
      title: Assistant Message
    SystemMessage:
      properties:
        role:
          type: string
          const: system
          title: Role
          description: >-
            The role of the message. Must be set to 'system'.


            A system message is different from other messages in that it does
            not originate from a party engaged in a user/AI conversation.
            Instead, it is a message that is injected by either the application
            or system to guide the conversation. For example, a system message
            may be used as initial instructions for an AI entity or to tell the
            AI that it did not do something correctly.
          default: system
        content:
          type: string
          title: Content
          description: Text input from the system.
      type: object
      required:
        - content
      title: System Message
    ExternalFile:
      properties:
        uri:
          type: string
          title: Uri
        file_type:
          type: string
          enum:
            - image
            - pdf
          title: File Type
      type: object
      required:
        - uri
        - file_type
      title: ExternalFile
    InternalFile:
      properties:
        file_id:
          type: string
          title: File Id
        file_type:
          type: string
          enum:
            - image
            - pdf
          title: File Type
      type: object
      required:
        - file_id
        - file_type
      title: InternalFile
    ApplicationScorerBaseModelName:
      type: string
      enum:
        - gpt-4-turbo-2024-04-09
        - gpt-3.5-turbo-0125
        - gpt-4o-2024-05-13
      title: ApplicationScorerBaseModelName
    AutoEvalBaseModelName:
      type: string
      enum:
        - gpt-4-32k-0613
        - gpt-4-turbo-preview
        - gpt-4-turbo-2024-04-09
        - gpt-4o-2024-05-13
        - gpt-4o
        - gpt-4o-mini-2024-07-18
        - gpt-4o-mini
        - gpt-4.1
        - gpt-4.1-mini
        - gpt-4.1-nano
        - gpt-5-nano
        - gpt-5-mini
        - gpt-5
        - gpt-5.1
        - gpt-5.2
        - o1
        - o1-mini
        - o3
        - o3-mini
        - o3-mini-2025-01-31
        - o4-mini
        - gpt-oss-120b
        - gpt-oss-20b
        - llama-3-70b-instruct
        - llama-3-1-70b-instruct
        - llama-3-70b-instruct-bedrock
      title: AutoEvalBaseModelName
    ChunkData:
      properties:
        text:
          type: string
          title: Text
        metadata:
          title: Metadata
          additionalProperties: true
          type: object
      type: object
      required:
        - text
      title: ChunkData
    UserMessageContentParts:
      oneOf:
        - $ref: '#/components/schemas/TextUserMessageContentParts'
        - $ref: '#/components/schemas/ImageUrlUserMessageContentParts'
        - $ref: '#/components/schemas/ImageDataUserMessageContentParts'
      title: UserMessageContentParts
      discriminator:
        propertyName: type
        mapping:
          image_data:
            $ref: '#/components/schemas/ImageDataUserMessageContentParts'
          image_url:
            $ref: '#/components/schemas/ImageUrlUserMessageContentParts'
          text:
            $ref: '#/components/schemas/TextUserMessageContentParts'
    TextUserMessageContentParts:
      properties:
        type:
          type: string
          const: text
          title: Type
          default: text
        text:
          type: string
          title: Text
      type: object
      required:
        - text
      title: TextUserMessageContentParts
    ImageUrlUserMessageContentParts:
      properties:
        type:
          type: string
          const: image_url
          title: Type
          default: image_url
        image_url:
          $ref: '#/components/schemas/ImageUrlSubPart'
          description: >-
            Specifies the image URL and level of detail. Only supported by
            OpenAI models
      type: object
      required:
        - image_url
      title: ImageUrlUserMessageContentParts
    ImageDataUserMessageContentParts:
      properties:
        type:
          type: string
          const: image_data
          title: Type
          default: image_data
        image_data:
          $ref: '#/components/schemas/ImageDataSubPart'
          description: Specifies inline image data
      type: object
      required:
        - image_data
      title: ImageDataUserMessageContentParts
    ImageUrlSubPart:
      properties:
        url:
          type: string
          title: Url
          description: 'The URL of the image. Note: only OpenAI supports this.'
        detail:
          title: Detail
          description: >-
            Only used for OpenAI. Corresponds to OpenAI's image detail
            parameter.
          type: string
          enum:
            - low
            - high
            - auto
      type: object
      required:
        - url
      title: ImageUrlSubPart
    ImageDataSubPart:
      properties:
        type:
          type: string
          const: base64
          title: Type
          description: The type of the image data. Only base64 is supported.
          default: base64
        media_type:
          type: string
          title: Media Type
          description: >-
            The media/mime type of the image data. For example, 'image/png'.
            Check providers' documentation for supported media types.
        data:
          type: string
          title: Data
          description: The base64-encoded image data.
        detail:
          title: Detail
          description: >-
            Only used for OpenAI. Corresponds to OpenAI's image detail
            parameter.
          type: string
          enum:
            - low
            - high
            - auto
      type: object
      required:
        - media_type
        - data
      title: ImageDataSubPart

````